Bug 7590 - Cataloging authorities search result page is broken
Summary: Cataloging authorities search result page is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Frédéric Demians
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-24 07:49 UTC by Frédéric Demians
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot (103.85 KB, image/png)
2012-02-24 07:53 UTC, Frédéric Demians
Details
Proposed patch (2.21 KB, patch)
2012-02-24 07:58 UTC, Frédéric Demians
Details | Diff | Splinter Review
SIGNED-OFF Bug 7590 Cataloging authorities search result page is broken (2.38 KB, patch)
2012-03-21 16:47 UTC, Francois Charbonnier
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2012-02-24 07:49:47 UTC
This bug occurs on UNIMARC DB with authorities linked together with TS/TG
relations. To reproduce it: 

- Add a new biblio record
- On 610 field, click on the tag editor button to search an authority
- In the Authority search window, enter a large search
- On the result page, for authorities having relations with other terms, in the 
  Get it! column, you get a mess of TS/TG relations and not more Choose link.
  See attached screenshot.
Comment 1 Frédéric Demians 2012-02-24 07:53:47 UTC
Created attachment 7846 [details]
Screenshot
Comment 2 Frédéric Demians 2012-02-24 07:58:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-02-26 13:12:28 UTC
Hi Frederic, 
could you add some authority and bibliographic test records to the bug? I am not sure how to catalog those correctly.
Comment 4 Francois Charbonnier 2012-03-21 16:47:24 UTC
Created attachment 8451 [details] [review]
SIGNED-OFF Bug 7590 Cataloging authorities search result page is broken

This bug occurs on UNIMARC DB with authorities linked together with TS/TG
relations. To reproduce it:

- Add a new biblio record
- On 610 field, click on the tag editor button to search an authority
- In the Authority search window, enter a large search
- On the result page, for authorities having relations with other terms, in the
  Get it! column, you get a mess of TS/TG relations and not more Choose link.

Signed-off-by: François Charbonnier <francois.charbonnier@biblibre.com>
Comment 5 Francois Charbonnier 2012-03-21 17:05:46 UTC
I created 4 authorities (1 generic term and 3 specific terms) :

Generic term :
001 - Record Identifier
  @ 4035
250 ## - Heading - Topical Subject
  a Topical Subject Marketing
550 ## - See Also Reference Tracing - Topical Subject
  5 Tracing Control h
  9 Authid 4036
  a Entry Element Marketing bancaire
550 ## - See Also Reference Tracing - Topical Subject
  5 Tracing Control h
  9 Authid 4037
  a Entry Element Marketing des services
550 ## - See Also Reference Tracing - Topical Subject
  5 Tracing Control h
  9 Authid 4038
  a Entry Element Marketing événementiel

Specific terms :
001 - Record Identifier
  @ 4036
250 ## - Heading - Topical Subject
  a Topical Subject Marketing bancaire
550 ## - See Also Reference Tracing - Topical Subject
  5 Tracing Control g
  9 Authid 4035
  a Entry Element Marketing

001 - Record Identifier
  @ 4037
250 ## - Heading - Topical Subject
  a Topical Subject Marketing des services
550 ## - See Also Reference Tracing - Topical Subject
  5 Tracing Control g
  9 Authid 4035
  a Entry Element Marketing

001 - Record Identifier
  @ 4038
250 ## - Heading - Topical Subject
  a Topical Subject Marketing événementiel
550 ## - See Also Reference Tracing - Topical Subject
  5 Tracing Control g
  9 Authid 4035
  a Entry Element Marketing

After reindexing, i created a biblio and tested with and without frederic's patch. 

Without patch :
I reproduced the bug.
I can't choose the authority 'Marketing'

With patch :
It works.
The link "choose" is not broken anymore
Comment 6 Paul Poulain 2012-03-22 17:03:50 UTC
QA comment: tiny patch, that reintroduce a missing button, template only

passed QA
Comment 7 Paul Poulain 2012-03-22 17:04:48 UTC
not sure this apply to 3.6, but as it's a bug, chris_n will check
Comment 8 Jared Camins-Esakov 2012-05-09 17:06:40 UTC
This bug will be included in the Koha 3.6.5 release.